EC_STRVEC_FROM_ARRAY(3)

NAME
ec_strvec_from_array - Allocate a new string vector.

SYNOPSIS
#include <ecoli/strvec.h>

struct ec_strvec * ec_strvec_from_array(
    const char *const   *strarr,  /* The array of const strings. */
    size_t               n        /* The number of strings in the array. */
);

DESCRIPTION

The string vector is initialized with the array of const strings passed as arguments.

RETURN VALUE

The new strvec object, or NULL on error (errno is set).

SEE ALSO

ec_strvec_set_attrs(3), ec_strvec_del_last(3), ec_strvec_val(3), ec_strvec_cmp(3), ec_strvec_sort(3), ec_strvec_get_attrs(3), ec_strvec_dup(3), ec_strvec_set(3), ec_strvec_len(3), ec_strvec_dump(3), ec_strvec_sh_lex_str(3), ec_strvec_add(3), ec_strvec_free(3), ec_strvec(3), ec_strvec_ndup(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.